#### Description:

This function sets a flag indicating if allocated but unused memory should be cached or not. It also returns the original value of the flag.

If caching is switched on or off as a result of this call, then the current contents of the cache are discarded.

Note, each thread has a separate cache. Calling this function affects only the currently executing thread.

#### Synopsis

int astMemCaching( int newval )

#### Parameters:

##### newval

The new value for the MemoryCaching tuning parameter (see astTune in objectc.c). If AST__TUNULL is supplied, the current value is left unchanged.

#### Returned Value

##### astMemCaching()

The original value of the MemoryCaching tuning parameter.
Copyright (C) 2021 East Asian Observatory